package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.DdrBurner;
import com.vendor.burn.serial.workers.CallLibUSBWorker;
import com.vendor.burn.serial.workers.DdrBurnerWorker;
import org.eclipse.core.runtime.jobs.IJobChangeEvent;
import org.eclipse.core.runtime.jobs.JobChangeAdapter;

class null extends JobChangeAdapter {
  public void done(IJobChangeEvent event) {
    fastbootMonitor.finish();
    TransferWay transferWay = context.getTransferWay();
    boolean isUsb = (transferWay == TransferWay.USBBootrom || transferWay == TransferWay.USBNonNude);
    if (isUsb) {
      CallLibUSBWorker.closeUsb(transferWay);
      DdrBurnerWorker.infoln("\nUSB channels were closed successfully.");
    } 
  }
}
